Next: cacos, Up: Complex

### 2.1 `cabs`, `cabsf`—complex absolute-value

Synopsis

         #include <complex.h>
         double cabs(double complex z);
         float cabsf(float complex z);

Description
These functions compute compute the complex absolute value (also called norm, modulus, or magnitude) of z.

`cabsf` is identical to `cabs`, except that it performs its calculations on `floats complex`.

Returns
The cabs functions return the complex absolute value.

Portability
`cabs` and `cabsf` are ISO C99